# Interface SceneGraphObjectReferenceControl

public interface SceneGraphObjectReferenceControl
Provides and resolves references to SceneGraphObjects to enable persistant references in user defined SceneGraphObjects implementing the SceneGraphIO interface.

## Method Summary

Modifier and Type
Method
Description
`int`
`addReference(SceneGraphObject object)`
Add a reference to the scenegraph object specified and return the nodeID for the object Use only during the save cycle
`SceneGraphObject`
`resolveReference(int nodeID)`
Given a nodeID return the corresponding scene graph object.

## Method Details

### addReference

int addReference(SceneGraphObject object)
Add a reference to the scenegraph object specified and return the nodeID for the object Use only during the save cycle

### resolveReference

SceneGraphObject resolveReference(int nodeID)
Given a nodeID return the corresponding scene graph object. Use only during the load cycle